Package junit.runner

# Class ReloadingTestSuiteLoader

java.lang.Object
junit.runner.ReloadingTestSuiteLoader

All Implemented Interfaces:
  `TestSuiteLoader`

public class ReloadingTestSuiteLoader extends Object implements TestSuiteLoader
A TestSuite loader that can reload classes.

## Constructor Summary

Constructors
Constructor
Description
`ReloadingTestSuiteLoader()`

## Method Summary

Modifier and Type
Method
Description
`protected TestCaseClassLoader`
`createLoader()`
`Class`
`load(String suiteClassName)`
`Class`
`reload(Class aClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReloadingTestSuiteLoader

public ReloadingTestSuiteLoader()

## Method Details

### load

public Class load(String suiteClassName) throws ClassNotFoundException

Specified by:
  `load` in interface `TestSuiteLoader`
Throws:
  `ClassNotFoundException`

### reload

public Class reload(Class aClass) throws ClassNotFoundException

Specified by:
  `reload` in interface `TestSuiteLoader`
Throws:
  `ClassNotFoundException`

### createLoader

protected TestCaseClassLoader createLoader()